package com.app.framework.core.support.view.tree;

import java.io.Serializable;

/**
 * ZTree基类
 */
public class ZTreeNode extends ExTreeNode implements Serializable{
	private static final long serialVersionUID = 1L;
	
	/**数据库中实例对象id主键*/
	private String  oid;
	/**节点图标样式*/
	private String  iconCls;
	/**是否父节点(为使用zTree而加，功能同leaf，与之相反)(true：父节点，false：子节点)*/
	private Boolean isParent = false;
	/**是否展开*/
	private Boolean open;
	/**节点是否选中*/
	private Boolean checked;
	/**节点是否可选(为使用zTree而加)(true：不显示复选框，false：显示复选框)*/
	private Boolean nocheck;
	/**扩展数据*/
	private String  extData;


	/**
	 * 获取是否展开
	 */
	public Boolean getOpen() {
		return open;
	}

	/**
	 * 设置是否展开
	 * @param open	是否展开
	 */
	public void setOpen(Boolean open) {
		this.open = open;
	}
	/**
	 * 获取节点的选择状态
	 */
	public Boolean getChecked() {
		return checked;
	}
	/**
	 * 设置节点的选择状态
	 * @param checked	节点的选择状态
	 */
	public void setChecked(Boolean checked) {
		this.checked = checked;
	}

	/**
	 * 获取节点图标样式
	 */
	public String getIconCls() {
		return iconCls;
	}
	/**
	 * 设置节点图标样式
	 * @param iconCls	图标样式
	 */
	public void setIconCls(String iconCls) {
		this.iconCls = iconCls;
	}
	/**
	 * 获取是否是父节点
	 */
	public Boolean getIsParent() {
		if(isParent == null){
			isParent = false;
		}
		return isParent;
	}
	/**
	 * 设置是否是父节点
	 * @param isParent	是否是父节点
	 */
	public void setIsParent(Boolean isParent) {
		this.isParent = isParent;
	}
	public String getOid() {
		return oid;
	}
	public void setOid(String oid) {
		this.oid = oid;
	}
	public Boolean getNocheck() {
		return nocheck;
	}
	public void setNocheck(Boolean nocheck) {
		this.nocheck = nocheck;
	}

	public String getExtData() {
		return extData;
	}

	public void setExtData(String extData) {
		this.extData = extData;
	}
}
